Summary:	Emulation library of CPU 6502 and Pokey chip used in Atari XL/XE
Summary(pl.UTF-8):	Biblioteka emulacji procesora 6502 i układu Pokey z Atari XL/XE
Name:		libsap
Version:	1.54.1
Release:	3
License:	Freeware
Group:		Libraries
#Source0:	http://kunik.republika.pl/sap/dl/%{name}-%{version}.tar.gz
Source0:	http://asma.atari.org/bin/sapsrc.zip
# Source0-md5:	11a365228b2a88f6c47174c1c693e04e
Patch0:		%{name}-linux.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-warnings.patch
Patch3:		%{name}-c.patch
Patch4:		dword_u.patch
URL:		http://kunik.republika.pl/sap/
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SAP Library is a software emulation of CPU 6502 microprocessor and
Pokey chip. Those two chips are used in Atari XL/XE computers. SAP
Library is used to to run programs written in 6502 machine language,
programs that are using Pokey chip to play tunes and sounds.

%description -l pl.UTF-8
Biblioteka SAP to programowa emulacja procesora 6502 oraz układu
Pokey. Te dwa układy były używane w komputerach Atari XL/XE.
Biblioteka SAP służy do uruchamiania napisanych w języku maszynowym
6502 programów, które używają układu Pokey do odtwarzania muzyki i
dźwięków.

%package devel
Summary:	Header files for libsap
Summary(pl.UTF-8):	Pliki nagłówkowe libsap
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libsap.

%description devel -l pl.UTF-8
Pliki nagłówkowe libsap.

%package static
Summary:	Static libsap library
Summary(pl.UTF-8):	Statyczna biblioteka libsap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsap library.

%description static -l pl.UTF-8
Statyczna biblioteka libsap.

%prep
%setup -q -n sap.src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

mv -f sapLib.h libsap.h
ln -sf libsap.h sapLib.h

%build
%{__make} libsap.la \
	CC="%{__cxx}" \
	OPTS="%{rpmcflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README legal.txt pokey.png
%attr(755,root,root) %{_libdir}/libsap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsap.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsap.so
%{_libdir}/libsap.la
%{_includedir}/libsap.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsap.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsap.git;a=log;h=master

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b99d7af
- add dword_u.patch
- rel 3

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b814a64
- anonymous union was forbidden, so I gave it a name

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 766f93d
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8c6174c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 80e2540
- converted to UTF-8

* Sun Oct 29 2006 Jakub Bogusz <qboosh@pld-linux.org> bda1176
- updated to 1.54.1 (1.54 from ASMA, Linux port by Dominik Mierzejewski)
- updated shared patch, added linux,warnings,c patches
- devel R: libstdc++-devel

* Sun Oct 29 2006 Jakub Bogusz <qboosh@pld-linux.org> d4b2027
- export functions using C ABI

* Sun Oct 29 2006 Jakub Bogusz <qboosh@pld-linux.org> a3535e3
- updated for 1.54.1

* Sun Oct 29 2006 Jakub Bogusz <qboosh@pld-linux.org> b4b7b7b
- Linux port of saplib 1.54 by Dominik Mierzejewski

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 3062bec
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Tue Jun 14 2005 zbyniu <zbyniu@pld-linux.org> 26d6a82
- BR: libstdc++-devel

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> a132ed9
- typos / formatting / etc.

* Sun Apr 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 8897c3b
- updated shared patch, lib64 fixes; release 6

* Sun Apr 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 4f1be7a
- updated libtool usage, use libdir macro

* Wed Jan 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 8abf919
- release 5 for Ac

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 772ffae
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 36252f3
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 24 2003 wolf <wolf@pld-linux.org> fb2fac6
- cxx is required

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 1093841
- massive attack: no need for 755 for *.la

* Sat Aug 10 2002 kloczek <kloczek@pld-linux.org> 4e542d9
- release 4: use new %doc.

